> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://developer.shipbob.com/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developer.shipbob.com/_mcp/server. # Get Channels GET https://api.shipbob.com/2026-07/channel Retrieves a paginated list of channels that the authenticated user has access to based on the provided access token. Reference: https://developer.shipbob.com/api/channels/get-channels ## Authentication - `Authorization` header (bearer token, required) — Authentication using Personal Access Token (PAT) token - `Authorization` header (bearer token, required) — OAuth2 authentication using JWT tokens ## Servers - `https://api.shipbob.com` (https://api.shipbob.com, default) - `https://sandbox-api.shipbob.com` (https://sandbox-api.shipbob.com) ## Request ### Query parameters - `RecordsPerPage` (integer, optional, default: 50) — The number of records to return per page. This parameter is used for pagination. If not provided, a default value will be used. - `Cursor` (string, optional) — A cursor for pagination. This parameter is used to fetch the next set of results. ## Response ### 200 Success - `items` (list of Channels.ChannelViewModel, optional, nullable) — List of channels - `next` (string, optional, nullable) — Next page url - `prev` (string, optional, nullable) — Previous page url ## Errors ### 400 Bad Request Error Bad Request - `map from string to list of string` ### 401 Unauthorized Error Unauthorized - `any` ### 403 Forbidden Error Forbidden - `any` ## Types ### Channels.ChannelViewModel - `application_name` (string, optional, nullable) — Name of the application that owns the channel - `id` (integer, optional) — Unique id of the channel - `name` (string, optional, nullable) — Name of the channel - `scopes` (list of string, optional, nullable) — Array of permissions granted for the channel ## Examples **Response** ```json { "items": [ { "application_name": "SMA", "id": 128944, "name": "Privileged Access Token Wednesday, July 9, 2025", "scopes": [ "pricing_read", "fulfillments_write", "returns_read", "receiving_read", "fulfillments_read", "returns_write", "locations_write", "channels_read", "webhooks_write", "locations_read", "orders_write", "webhooks_read", "inventory_read", "billing_read", "receiving_write", "inventory_write", "orders_read", "products_read", "products_write" ] }, { "application_name": "ShipBob", "id": 128943, "name": "ShipBob Default", "scopes": [ "pricing_read", "returns_read", "receiving_read", "fulfillments_read", "channels_read", "locations_read", "webhooks_read", "inventory_read", "billing_read", "orders_read", "products_read" ] } ], "next": "/2026-07/channel?cursor=eyJJZCI6NzY4MzksIkN1cnNvclR5cGUiOjB5", "prev": "/2026-07/channel?cursor=eyJJZCI6NzY4NDAsIkN1cnNvclR5cGUiOjF8" } ``` **SDK Code** ```python default import requests url = "https://api.shipbob.com/2026-07/channel" headers = {"Authorization": "Bearer "} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript default const url = 'https://api.shipbob.com/2026-07/channel'; const options = {method: 'GET', headers: {Authorization: 'Bearer '}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go default package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.shipbob.com/2026-07/channel" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "Bearer ") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby default require 'uri' require 'net/http' url = URI("https://api.shipbob.com/2026-07/channel") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = 'Bearer ' response = http.request(request) puts response.read_body ``` ```java default import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api.shipbob.com/2026-07/channel") .header("Authorization", "Bearer ") .asString(); ``` ```php default request('GET', 'https://api.shipbob.com/2026-07/channel', [ 'headers' => [ 'Authorization' => 'Bearer ', ], ]); echo $response->getBody(); ``` ```csharp default using RestSharp; var client = new RestClient("https://api.shipbob.com/2026-07/channel"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", "Bearer "); IRestResponse response = client.Execute(request); ``` ```swift default import Foundation let headers = ["Authorization": "Bearer "] let request = NSMutableURLRequest(url: NSURL(string: "https://api.shipbob.com/2026-07/channel")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```